/* app.h
 *
 * Copyright (C) 1999 Havoc Pennington
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef ICONEDIT_APP_H
#define ICONEDIT_APP_H

#include <config.h>
#include <gnome.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

typedef struct _AppMenus AppMenus;

typedef enum {
  IET_POINT,
  IET_FG,
  IET_FILL,
  IET_EYEDROP,
  IET_BRUSH,
  IET_END
} IETool;

typedef enum {
  IEM_NORMAL,
  IEM_ADDITIVE,
  IEM_SUBTRACTIVE,
  /*  IEM_BURN,
      IEM_DODGE,*/
  IEM_ALPHA,
  IEM_END
} IEMode;

struct _AppMenus
{
  GtkWidget *undo;
  GtkWidget *redo;
  GtkWidget *paste;
  GtkWidget *paste_into;
  GtkWidget *cut;
  GtkWidget *copy;
  
  /* Toolbar buttons */
  GtkWidget *b_paste;
  GtkWidget *b_cut;
  GtkWidget *b_copy;
  GtkWidget *b_undo;
  GtkWidget *b_redo;

  GtkWidget *tools[IET_END];
};

/* Needs the IETool enum */
#include "grid.h"

GtkWidget* ie_app_new(guint width, guint height);

void       ie_app_close(GtkWidget* app);
   
void       ie_app_set_tool(GtkWidget* app, IETool tool);

void       ie_app_set_from_pixbuf(GtkWidget* app, GdkPixbuf *pb);
GdkPixbuf* ie_app_to_pixbuf(GtkWidget* app); 
void       ie_update_grid (GtkWidget *app);

void ie_app_clean (GtkWidget *app);
void ie_app_dirty (GtkWidget *app);

#endif

